#!/usr/bin/env lua

show_table = function (t)
    local k,v
    for k,v in pairs(t) do
        print(k .. " -> " .. v)
    end
end

require('sysctl')

T = {
"kern.ostype",
"kern.osrelease",
"kern.osrevision",
"kern.version",
"kern.maxvnodes",
"kern.maxproc",
"kern.maxfiles",
"kern.argmax",
"kern.securelevel",
"kern.hostname",
"kern.hostid",
"kern.clockrate",
"kern.posix1version",
"kern.ngroups",
"kern.job_control",
"kern.saved_ids",
"kern.boottime",
"kern.domainname",
"kern.osreldate",
"kern.bootfile",
"kern.maxfilesperproc",
"kern.maxprocperuid",
"kern.ipc.maxsockbuf",
"kern.ipc.sockbuf_waste_factor",
"kern.ipc.somaxconn",
"kern.ipc.max_linkhdr",
"kern.ipc.max_protohdr",
"kern.ipc.max_hdr",
"kern.ipc.max_datalen",
"kern.ipc.nmbjumbo16",
"kern.ipc.nmbjumbo9",
"kern.ipc.nmbjumbop",
"kern.ipc.nmbclusters",
"kern.ipc.piperesizeallowed",
"kern.ipc.piperesizefail",
"kern.ipc.pipeallocfail",
"kern.ipc.pipefragretry",
"kern.ipc.pipekva",
"kern.ipc.maxpipekva",
"kern.ipc.msgseg",
"kern.ipc.msgssz",
"kern.ipc.msgtql",
"kern.ipc.msgmnb",
"kern.ipc.msgmni",
"kern.ipc.msgmax",
"kern.ipc.semaem",
"kern.ipc.semvmx",
"kern.ipc.semusz",
"kern.ipc.semume",
"kern.ipc.semopm",
"kern.ipc.semmsl",
"kern.ipc.semmnu",
"kern.ipc.semmns",
"kern.ipc.semmni",
"kern.ipc.semmap",
"kern.ipc.shm_allow_removed",
"kern.ipc.shm_use_phys",
"kern.ipc.shmall",
"kern.ipc.shmseg",
"kern.ipc.shmmni",
"kern.ipc.shmmin",
"kern.ipc.shmmax",
"kern.ipc.maxsockets",
"kern.ipc.numopensockets",
"kern.ipc.nsfbufsused",
"kern.ipc.nsfbufspeak",
"kern.ipc.nsfbufs",
"kern.dummy",
"kern.ps_strings",
"kern.usrstack",
"kern.logsigexit",
"kern.iov_max",
"kern.hostuuid",
"kern.cam.cam_srch_hi",
"kern.cam.scsi_delay",
"kern.cam.cd.retry_count",
"kern.cam.cd.changer.max_busy_seconds",
"kern.cam.cd.changer.min_busy_seconds",
"kern.cam.cd.0.minimum_cmd_size",
"kern.cam.da.da_send_ordered",
"kern.cam.da.default_timeout",
"kern.cam.da.retry_count",
"kern.dcons.poll_hz",
"kern.disks",
"kern.geom.collectstats",
"kern.geom.debugflags",
"kern.geom.label.debug",
"kern.elf64.fallback_brand",
"kern.init_shutdown_timeout",
"kern.init_path",
"kern.acct_suspended",
"kern.acct_configured",
"kern.acct_chkfreq",
"kern.acct_resume",
"kern.acct_suspend",
"kern.cp_times",
"kern.cp_time",
"kern.openfiles",
"kern.kq_calloutmax",
"kern.ps_arg_cache_limit",
"kern.stackprot",
"kern.randompid",
"kern.lastpid",
"kern.ktrace.request_pool",
"kern.ktrace.genio_size",
"kern.module_path",
"kern.malloc_count",
"kern.fallback_elf_brand",
"kern.features.compat_freebsd6",
"kern.features.compat_freebsd5",
"kern.features.compat_freebsd4",
"kern.maxusers",
"kern.ident",
"kern.kstack_pages",
"kern.shutdown.kproc_shutdown_wait",
"kern.shutdown.poweroff_delay",
"kern.sync_on_panic",
"kern.corefile",
"kern.nodump_coredump",
"kern.coredump",
"kern.sugid_coredump",
"kern.sigqueue.alloc_fail",
"kern.sigqueue.overflow",
"kern.sigqueue.preallocate",
"kern.sigqueue.max_pending_per_proc",
"kern.forcesigexit",
"kern.fscale",
"kern.timecounter.tick",
"kern.timecounter.choice",
"kern.timecounter.hardware",
"kern.timecounter.nsetclock",
"kern.timecounter.ngetmicrotime",
"kern.timecounter.ngetnanotime",
"kern.timecounter.ngetbintime",
"kern.timecounter.ngetmicrouptime",
"kern.timecounter.ngetnanouptime",
"kern.timecounter.ngetbinuptime",
"kern.timecounter.nmicrotime",
"kern.timecounter.nnanotime",
"kern.timecounter.nbintime",
"kern.timecounter.nmicrouptime",
"kern.timecounter.nnanouptime",
"kern.timecounter.nbinuptime",
"kern.timecounter.stepwarnings",
"kern.timecounter.tc.i8254.mask",
"kern.timecounter.tc.i8254.counter",
"kern.timecounter.tc.i8254.frequency",
"kern.timecounter.tc.i8254.quality",
"kern.timecounter.tc.HPET.mask",
"kern.timecounter.tc.HPET.counter",
"kern.timecounter.tc.HPET.frequency",
"kern.timecounter.tc.HPET.quality",
"kern.timecounter.tc.ACPI-fast.mask",
"kern.timecounter.tc.ACPI-fast.counter",
"kern.timecounter.tc.ACPI-fast.frequency",
"kern.timecounter.tc.ACPI-fast.quality",
"kern.timecounter.tc.TSC.mask",
"kern.timecounter.tc.TSC.counter",
"kern.timecounter.tc.TSC.frequency",
"kern.timecounter.tc.TSC.quality",
"kern.timecounter.smp_tsc",
"kern.timecounter.invariant_tsc",
"kern.threads.virtual_cpu",
"kern.threads.max_threads_hits",
"kern.threads.max_threads_per_proc",
"kern.ccpu",
"kern.sched.preemption",
"kern.sched.topology",
"kern.sched.steal_thresh",
"kern.sched.steal_idle",
"kern.sched.steal_htt",
"kern.sched.balance_interval",
"kern.sched.balance",
"kern.sched.tryself",
"kern.sched.affinity",
"kern.sched.pick_pri",
"kern.sched.preempt_thresh",
"kern.sched.interact",
"kern.sched.slice",
"kern.sched.name",
"kern.devstat.version",
"kern.devstat.generation",
"kern.devstat.numdevs",
"kern.kobj_methodcount",
"kern.log_wakeups_per_second",
"kern.msgbuf_clear",
"kern.msgbuf",
"kern.always_console_output",
"kern.log_console_output",
"kern.smp.forward_roundrobin_enabled",
"kern.smp.forward_signal_enabled",
"kern.smp.cpus",
"kern.smp.disabled",
"kern.smp.active",
"kern.smp.maxcpus",
"kern.smp.maxid",
"kern.nselcoll",
"kern.tty_nout",
"kern.tty_nin",
"kern.drainwait",
"kern.constty_wakeups_per_second",
"kern.consmsgbuf_size",
"kern.consmute",
"kern.console",
"kern.minvnodes",
"kern.metadelay",
"kern.dirdelay",
"kern.filedelay",
"kern.chroot_allow_open_directories",
"kern.rpc.invalid",
"kern.rpc.unexpected",
"kern.rpc.timeouts",
"kern.rpc.request",
"kern.rpc.retries",
"kern.elf32.fallback_brand",
"kern.random.yarrow.gengateinterval",
"kern.random.yarrow.bins",
"kern.random.yarrow.fastthresh",
"kern.random.yarrow.slowthresh",
"kern.random.yarrow.slowoverthresh",
"kern.random.sys.seeded",
"kern.random.sys.harvest.ethernet",
"kern.random.sys.harvest.point_to_point",
"kern.random.sys.harvest.interrupt",
"kern.random.sys.harvest.swi",
"vm.vmtotal",
"vm.loadavg",
"vm.v_free_min",
"vm.v_free_target",
"vm.v_free_reserved",
"vm.v_inactive_target",
"vm.v_cache_min",
"vm.v_cache_max",
"vm.v_pageout_free_min",
"vm.pageout_algorithm",
"vm.swap_enabled",
"vm.kmem_size_scale",
"vm.kmem_size_max",
"vm.kmem_size_min",
"vm.kmem_size",
"vm.nswapdev",
"vm.dmmax",
"vm.swap_async_max",
"vm.zone_count",
"vm.swap_idle_threshold2",
"vm.swap_idle_threshold1",
"vm.exec_map_entries",
"vm.stats.misc.zero_page_count",
"vm.stats.misc.cnt_prezero",
"vm.stats.vm.v_kthreadpages",
"vm.stats.vm.v_rforkpages",
"vm.stats.vm.v_vforkpages",
"vm.stats.vm.v_forkpages",
"vm.stats.vm.v_kthreads",
"vm.stats.vm.v_rforks",
"vm.stats.vm.v_vforks",
"vm.stats.vm.v_forks",
"vm.stats.vm.v_interrupt_free_min",
"vm.stats.vm.v_pageout_free_min",
"vm.stats.vm.v_cache_max",
"vm.stats.vm.v_cache_min",
"vm.stats.vm.v_cache_count",
"vm.stats.vm.v_inactive_count",
"vm.stats.vm.v_inactive_target",
"vm.stats.vm.v_active_count",
"vm.stats.vm.v_wire_count",
"vm.stats.vm.v_free_count",
"vm.stats.vm.v_free_min",
"vm.stats.vm.v_free_target",
"vm.stats.vm.v_free_reserved",
"vm.stats.vm.v_page_count",
"vm.stats.vm.v_page_size",
"vm.stats.vm.v_tfree",
"vm.stats.vm.v_pfree",
"vm.stats.vm.v_dfree",
"vm.stats.vm.v_tcached",
"vm.stats.vm.v_pdpages",
"vm.stats.vm.v_pdwakeups",
"vm.stats.vm.v_reactivated",
"vm.stats.vm.v_intrans",
"vm.stats.vm.v_vnodepgsout",
"vm.stats.vm.v_vnodepgsin",
"vm.stats.vm.v_vnodeout",
"vm.stats.vm.v_vnodein",
"vm.stats.vm.v_swappgsout",
"vm.stats.vm.v_swappgsin",
"vm.stats.vm.v_swapout",
"vm.stats.vm.v_swapin",
"vm.stats.vm.v_ozfod",
"vm.stats.vm.v_zfod",
"vm.stats.vm.v_cow_optim",
"vm.stats.vm.v_cow_faults",
"vm.stats.vm.v_vm_faults",
"vm.stats.sys.v_soft",
"vm.stats.sys.v_intr",
"vm.stats.sys.v_syscall",
"vm.stats.sys.v_trap",
"vm.stats.sys.v_swtch",
"vm.stats.object.bypasses",
"vm.stats.object.collapses",
"vm.v_free_severe",
"vm.max_proc_mmap",
"vm.old_msync",
"vm.msync_flush_flags",
"vm.boot_pages",
"vm.max_wired",
"vm.pageout_lock_miss",
"vm.disable_swapspace_pageouts",
"vm.defer_swapspace_pageouts",
"vm.swap_idle_enabled",
"vm.pageout_stats_interval",
"vm.pageout_full_stats_interval",
"vm.pageout_stats_max",
"vm.max_launder",
"vm.phys_segs",
"vm.phys_free",
"vm.reserv.reclaimed",
"vm.reserv.partpopq",
"vm.reserv.freed",
"vm.reserv.broken",
"vm.idlezero_enable",
"vm.kvm_free",
"vm.kvm_size",
"vm.pmap.pmap_collect_active",
"vm.pmap.pmap_collect_inactive",
"vm.pmap.pv_entry_spare",
"vm.pmap.pv_entry_allocs",
"vm.pmap.pv_entry_frees",
"vm.pmap.pc_chunk_tryfail",
"vm.pmap.pc_chunk_frees",
"vm.pmap.pc_chunk_allocs",
"vm.pmap.pc_chunk_count",
"vm.pmap.pv_entry_count",
"vm.pmap.pde.promotions",
"vm.pmap.pde.p_failures",
"vm.pmap.pde.mappings",
"vm.pmap.pde.demotions",
"vm.pmap.shpgperproc",
"vm.pmap.pv_entry_max",
"vm.pmap.pg_ps_enabled",
"vfs.nfs.downdelayinitial",
"vfs.nfs.downdelayinterval",
"vfs.nfs.skip_wcc_data_onerr",
"vfs.nfs.nfs3_jukebox_delay",
"vfs.nfs.reconnects",
"vfs.nfs.bufpackets",
"vfs.nfs.realign_count",
"vfs.nfs.realign_test",
"vfs.nfs.defect",
"vfs.nfs.iodmax",
"vfs.nfs.iodmin",
"vfs.nfs.iodmaxidle",
"vfs.nfs.diskless_rootpath",
"vfs.nfs.diskless_valid",
"vfs.nfs.nfs_ip_paranoia",
"vfs.nfs.nfs_directio_allow_mmap",
"vfs.nfs.nfs_directio_enable",
"vfs.nfs.clean_pages_on_close",
"vfs.nfs.nfsv3_commit_on_close",
"vfs.nfs.access_cache_timeout",
"vfs.zfs.arc_min",
"vfs.zfs.arc_max",
"vfs.zfs.mdcomp_disable",
"vfs.zfs.prefetch_disable",
"vfs.zfs.zio.taskq_threads",
"vfs.zfs.recover",
"vfs.zfs.vdev.cache.size",
"vfs.zfs.vdev.cache.max",
"vfs.zfs.cache_flush_disable",
"vfs.zfs.zil_disable",
"vfs.zfs.debug",
"vfs.nfs4.access_cache_timeout",
"vfs.devfs.rule_depth",
"vfs.devfs.generation",
"vfs.ufs.dirhash_docheck",
"vfs.ufs.dirhash_mem",
"vfs.ufs.dirhash_maxmem",
"vfs.ufs.dirhash_minsize",
"vfs.pfs.trace",
"vfs.pfs.vncache.misses",
"vfs.pfs.vncache.hits",
"vfs.pfs.vncache.maxentries",
"vfs.pfs.vncache.entries",
"vfs.flushwithdeps",
"vfs.getnewbufrestarts",
"vfs.getnewbufcalls",
"vfs.hifreebuffers",
"vfs.lofreebuffers",
"vfs.numfreebuffers",
"vfs.dirtybufthresh",
"vfs.hidirtybuffers",
"vfs.lodirtybuffers",
"vfs.numdirtybuffers",
"vfs.recursiveflushes",
"vfs.altbufferflushes",
"vfs.bdwriteskip",
"vfs.dirtybufferflushes",
"vfs.hirunningspace",
"vfs.lorunningspace",
"vfs.bufdefragcnt",
"vfs.buffreekvacnt",
"vfs.bufreusecnt",
"vfs.hibufspace",
"vfs.lobufspace",
"vfs.maxmallocbufspace",
"vfs.bufmallocspace",
"vfs.maxbufspace",
"vfs.bufspace",
"vfs.runningbufspace",
"vfs.vmiodirenable",
"vfs.cache.numfullpathfound",
"vfs.cache.numfullpathfail4",
"vfs.cache.numfullpathfail2",
"vfs.cache.numfullpathfail1",
"vfs.cache.numfullpathcalls",
"vfs.cache.nchstats",
"vfs.cache.numneghits",
"vfs.cache.numnegzaps",
"vfs.cache.numposhits",
"vfs.cache.numposzaps",
"vfs.cache.nummisszap",
"vfs.cache.nummiss",
"vfs.cache.numchecks",
"vfs.cache.dotdothits",
"vfs.cache.dothits",
"vfs.cache.numcalls",
"vfs.cache.numcache",
"vfs.cache.numneg",
"vfs.read_max",
"vfs.write_behind",
"vfs.lookup_shared",
"vfs.usermount",
"vfs.worklist_len",
"vfs.timestamp_precision",
"vfs.reassignbufcalls",
"vfs.freevnodes",
"vfs.wantfreevnodes",
"vfs.numvnodes",
"vfs.nfsrv.nfs_privport",
"vfs.nfsrv.commit_miss",
"vfs.nfsrv.commit_blks",
"vfs.nfsrv.async",
"vfs.nfsrv.realign_count",
"vfs.nfsrv.realign_test",
"vfs.nfsrv.gatherdelay_v3",
"vfs.nfsrv.gatherdelay",
"vfs.ffs.doreallocblks",
"vfs.ffs.doasyncfree",
"vfs.ffs.compute_summary_at_mount",
"net.local.stream.recvspace",
"net.local.stream.sendspace",
"net.local.dgram.recvspace",
"net.local.dgram.maxdgram",
"net.local.recycled",
"net.local.taskcount",
"net.local.inflight",
"net.inet.ip.portrange.randomtime",
"net.inet.ip.portrange.randomcps",
"net.inet.ip.portrange.randomized",
"net.inet.ip.portrange.reservedlow",
"net.inet.ip.portrange.reservedhigh",
"net.inet.ip.portrange.hilast",
"net.inet.ip.portrange.hifirst",
"net.inet.ip.portrange.last",
"net.inet.ip.portrange.first",
"net.inet.ip.portrange.lowlast",
"net.inet.ip.portrange.lowfirst",
"net.inet.ip.forwarding",
"net.inet.ip.redirect",
"net.inet.ip.ttl",
"net.inet.ip.rtexpire",
"net.inet.ip.rtminexpire",
"net.inet.ip.rtmaxcache",
"net.inet.ip.sourceroute",
"net.inet.ip.intr_queue_maxlen",
"net.inet.ip.intr_queue_drops",
"net.inet.ip.accept_sourceroute",
"net.inet.ip.keepfaith",
"net.inet.ip.gifttl",
"net.inet.ip.same_prefix_carp_only",
"net.inet.ip.subnets_are_local",
"net.inet.ip.fastforwarding",
"net.inet.ip.maxfragpackets",
"net.inet.ip.maxfragsperpacket",
"net.inet.ip.fragpackets",
"net.inet.ip.check_interface",
"net.inet.ip.random_id",
"net.inet.ip.sendsourcequench",
"net.inet.ip.process_options",
"net.inet.icmp.maskrepl",
"net.inet.icmp.icmplim",
"net.inet.icmp.bmcastecho",
"net.inet.icmp.quotelen",
"net.inet.icmp.reply_from_interface",
"net.inet.icmp.reply_src",
"net.inet.icmp.icmplim_output",
"net.inet.icmp.log_redirect",
"net.inet.icmp.drop_redirect",
"net.inet.icmp.maskfake",
"net.inet.tcp.rfc1323",
"net.inet.tcp.mssdflt",
"net.inet.tcp.keepidle",
"net.inet.tcp.keepintvl",
"net.inet.tcp.sendspace",
"net.inet.tcp.recvspace",
"net.inet.tcp.keepinit",
"net.inet.tcp.delacktime",
"net.inet.tcp.v6mssdflt",
"net.inet.tcp.hostcache.purge",
"net.inet.tcp.hostcache.prune",
"net.inet.tcp.hostcache.expire",
"net.inet.tcp.hostcache.count",
"net.inet.tcp.hostcache.bucketlimit",
"net.inet.tcp.hostcache.hashsize",
"net.inet.tcp.hostcache.cachelimit",
"net.inet.tcp.recvbuf_max",
"net.inet.tcp.recvbuf_inc",
"net.inet.tcp.recvbuf_auto",
"net.inet.tcp.insecure_rst",
"net.inet.tcp.rfc3390",
"net.inet.tcp.rfc3042",
"net.inet.tcp.drop_synfin",
"net.inet.tcp.delayed_ack",
"net.inet.tcp.blackhole",
"net.inet.tcp.log_in_vain",
"net.inet.tcp.sendbuf_max",
"net.inet.tcp.sendbuf_inc",
"net.inet.tcp.sendbuf_auto",
"net.inet.tcp.tso",
"net.inet.tcp.newreno",
"net.inet.tcp.local_slowstart_flightsize",
"net.inet.tcp.slowstart_flightsize",
"net.inet.tcp.path_mtu_discovery",
"net.inet.tcp.reass.overflows",
"net.inet.tcp.reass.maxqlen",
"net.inet.tcp.reass.cursegments",
"net.inet.tcp.reass.maxsegments",
"net.inet.tcp.sack.globalholes",
"net.inet.tcp.sack.globalmaxholes",
"net.inet.tcp.sack.maxholes",
"net.inet.tcp.sack.enable",
"net.inet.tcp.inflight.stab",
"net.inet.tcp.inflight.max",
"net.inet.tcp.inflight.min",
"net.inet.tcp.inflight.rttthresh",
"net.inet.tcp.inflight.debug",
"net.inet.tcp.inflight.enable",
"net.inet.tcp.isn_reseed_interval",
"net.inet.tcp.icmp_may_rst",
"net.inet.tcp.pcbcount",
"net.inet.tcp.do_tcpdrain",
"net.inet.tcp.tcbhashsize",
"net.inet.tcp.log_debug",
"net.inet.tcp.minmss",
"net.inet.tcp.syncache.rst_on_sock_fail",
"net.inet.tcp.syncache.rexmtlimit",
"net.inet.tcp.syncache.hashsize",
"net.inet.tcp.syncache.count",
"net.inet.tcp.syncache.cachelimit",
"net.inet.tcp.syncache.bucketlimit",
"net.inet.tcp.syncookies_only",
"net.inet.tcp.syncookies",
"net.inet.tcp.timer_race",
"net.inet.tcp.finwait2_timeout",
"net.inet.tcp.fast_finwait2_recycle",
"net.inet.tcp.always_keepalive",
"net.inet.tcp.rexmit_slop",
"net.inet.tcp.rexmit_min",
"net.inet.tcp.msl",
"net.inet.tcp.nolocaltimewait",
"net.inet.tcp.maxtcptw",
"net.inet.udp.checksum",
"net.inet.udp.maxdgram",
"net.inet.udp.recvspace",
"net.inet.udp.soreceive_dgram_enabled",
"net.inet.udp.blackhole",
"net.inet.udp.log_in_vain",
"net.inet.sctp.nat_friendly_init",
"net.inet.sctp.enable_sack_immediately",
"net.inet.sctp.udp_tunneling_port",
"net.inet.sctp.udp_tunneling_for_client_enable",
"net.inet.sctp.mobility_fasthandoff",
"net.inet.sctp.mobility_base",
"net.inet.sctp.default_frag_interleave",
"net.inet.sctp.default_cc_module",
"net.inet.sctp.log_level",
"net.inet.sctp.max_retran_chunk",
"net.inet.sctp.min_residual",
"net.inet.sctp.strict_data_order",
"net.inet.sctp.abort_at_limit",
"net.inet.sctp.hb_max_burst",
"net.inet.sctp.do_sctp_drain",
"net.inet.sctp.max_chained_mbufs",
"net.inet.sctp.abc_l_var",
"net.inet.sctp.nat_friendly",
"net.inet.sctp.auth_disable",
"net.inet.sctp.asconf_auth_nochk",
"net.inet.sctp.early_fast_retran_msec",
"net.inet.sctp.early_fast_retran",
"net.inet.sctp.cwnd_maxburst",
"net.inet.sctp.cmt_pf",
"net.inet.sctp.cmt_use_dac",
"net.inet.sctp.nr_sack_on_off",
"net.inet.sctp.cmt_on_off",
"net.inet.sctp.outgoing_streams",
"net.inet.sctp.add_more_on_output",
"net.inet.sctp.path_rtx_max",
"net.inet.sctp.assoc_rtx_max",
"net.inet.sctp.init_rtx_max",
"net.inet.sctp.valid_cookie_life",
"net.inet.sctp.init_rto_max",
"net.inet.sctp.rto_initial",
"net.inet.sctp.rto_min",
"net.inet.sctp.rto_max",
"net.inet.sctp.secret_lifetime",
"net.inet.sctp.shutdown_guard_time",
"net.inet.sctp.pmtu_raise_time",
"net.inet.sctp.heartbeat_interval",
"net.inet.sctp.asoc_resource",
"net.inet.sctp.sys_resource",
"net.inet.sctp.sack_freq",
"net.inet.sctp.delayed_sack_time",
"net.inet.sctp.chunkscale",
"net.inet.sctp.min_split_point",
"net.inet.sctp.pcbhashsize",
"net.inet.sctp.tcbhashsize",
"net.inet.sctp.maxchunks",
"net.inet.sctp.maxburst",
"net.inet.sctp.peer_chkoh",
"net.inet.sctp.strict_init",
"net.inet.sctp.loopback_nocsum",
"net.inet.sctp.strict_sacks",
"net.inet.sctp.ecn_nonce",
"net.inet.sctp.ecn_enable",
"net.inet.sctp.auto_asconf",
"net.inet.sctp.recvspace",
"net.inet.sctp.sendspace",
"net.inet.raw.recvspace",
"net.inet.raw.maxdgram",
"net.inet.accf.unloadable",
"net.link.generic.system.ifcount",
"net.link.ether.inet.log_arp_permanent_modify",
"net.link.ether.inet.log_arp_movements",
"net.link.ether.inet.log_arp_wrong_iface",
"net.link.ether.inet.proxyall",
"net.link.ether.inet.useloopback",
"net.link.ether.inet.maxtries",
"net.link.ether.inet.max_age",
"net.link.ether.ipfw",
"net.link.gif.parallel_tunnels",
"net.link.gif.max_nesting",
"net.link.log_link_state_change",
"net.link.tun.devfs_cloning",
"net.inet6.ip6.forwarding",
"net.inet6.ip6.redirect",
"net.inet6.ip6.hlim",
"net.inet6.ip6.maxfragpackets",
"net.inet6.ip6.accept_rtadv",
"net.inet6.ip6.keepfaith",
"net.inet6.ip6.log_interval",
"net.inet6.ip6.hdrnestlimit",
"net.inet6.ip6.dad_count",
"net.inet6.ip6.auto_flowlabel",
"net.inet6.ip6.defmcasthlim",
"net.inet6.ip6.gifhlim",
"net.inet6.ip6.kame_version",
"net.inet6.ip6.use_deprecated",
"net.inet6.ip6.rr_prune",
"net.inet6.ip6.v6only",
"net.inet6.ip6.rtexpire",
"net.inet6.ip6.rtminexpire",
"net.inet6.ip6.rtmaxcache",
"net.inet6.ip6.use_tempaddr",
"net.inet6.ip6.temppltime",
"net.inet6.ip6.tempvltime",
"net.inet6.ip6.auto_linklocal",
"net.inet6.ip6.prefer_tempaddr",
"net.inet6.ip6.use_defaultzone",
"net.inet6.ip6.maxfrags",
"net.inet6.ip6.mcast_pmtu",
"net.inet6.icmp6.rediraccept",
"net.inet6.icmp6.redirtimeout",
"net.inet6.icmp6.nd6_prune",
"net.inet6.icmp6.nd6_delay",
"net.inet6.icmp6.nd6_umaxtries",
"net.inet6.icmp6.nd6_mmaxtries",
"net.inet6.icmp6.nd6_useloopback",
"net.inet6.icmp6.nodeinfo",
"net.inet6.icmp6.errppslimit",
"net.inet6.icmp6.nd6_maxnudhint",
"net.inet6.icmp6.nd6_debug",
"net.inet6.icmp6.nd6_maxqueuelen",
"net.inet6.icmp6.nd6_onlink_ns_rfc4861",
"net.bpf.maxinsns",
"net.bpf.maxbufsize",
"net.bpf.bufsize",
"net.isr.swi_count",
"net.isr.drop",
"net.isr.queued",
"net.isr.deferred",
"net.isr.directed",
"net.isr.count",
"net.isr.direct",
"net.raw.recvspace",
"net.raw.sendspace",
"net.my_fibnum",
"net.add_addr_allfibs",
"net.fibs",
"net.route.netisr_maxqlen",
"net.wlan.recv_bar",
"net.wlan.debug",
"net.wlan.0.%parent",
"net.wlan.0.debug",
"net.wlan.0.inact_run",
"net.wlan.0.inact_probe",
"net.wlan.0.inact_auth",
"net.wlan.0.inact_init",
"net.wlan.0.driver_caps",
"net.wlan.0.bmiss_max",
"debug.pfugidhack",
"debug.acpi.semaphore_debug",
"debug.acpi.suspend_bounce",
"debug.acpi.do_powerstate",
"debug.acpi.acpi_ca_version",
"debug.acpi.ec.timeout",
"debug.acpi.ec.polled",
"debug.acpi.ec.burst",
"debug.acpi.batt.batt_sleep_ms",
"debug.firewire_debug",
"debug.fwmem_debug",
"debug.if_fwe_debug",
"debug.if_fwip_debug",
"debug.sbp_debug",
"debug.mddebug",
"debug.elf64_legacy_coredump",
"debug.elf64_trace",
"debug.bootverbose",
"debug.boothowto",
"debug.cpufreq.verbose",
"debug.cpufreq.lowest",
"debug.sizeof.cdev_priv",
"debug.sizeof.cdev",
"debug.sizeof.g_bioq",
"debug.sizeof.g_consumer",
"debug.sizeof.g_provider",
"debug.sizeof.g_geom",
"debug.sizeof.g_class",
"debug.sizeof.kinfo_proc",
"debug.sizeof.buf",
"debug.sizeof.bio",
"debug.sizeof.proc",
"debug.sizeof.vnode",
"debug.sizeof.devstat",
"debug.sizeof.namecache",
"debug.to_avg_mpcalls",
"debug.to_avg_mtxcalls",
"debug.to_avg_gcalls",
"debug.to_avg_depth",
"debug.umtx.umtx_pi_allocated",
"debug.kdb.stop_cpus",
"debug.kdb.trap_code",
"debug.kdb.trap",
"debug.kdb.panic",
"debug.kdb.enter",
"debug.kdb.current",
"debug.kdb.available",
"debug.rman_debug",
"debug.ttydebug",
"debug.disablefullpath",
"debug.disablecwd",
"debug.hashstat.nchash",
"debug.vfscache",
"debug.numcachehv",
"debug.numcache",
"debug.numneg",
"debug.ncnegfactor",
"debug.nchash",
"debug.vnlru_nowhere",
"debug.rush_requests",
"debug.mpsafevfs",
"debug.if_tun_debug",
"debug.nlm_debug",
"debug.collectsnapstats",
"debug.snapdebug",
"debug.dopersistence",
"debug.dir_entry",
"debug.direct_blk_ptrs",
"debug.inode_bitmap",
"debug.indir_blk_ptrs",
"debug.sync_limit_hit",
"debug.ino_limit_hit",
"debug.blk_limit_hit",
"debug.ino_limit_push",
"debug.blk_limit_push",
"debug.worklist_push",
"debug.maxindirdeps",
"debug.tickdelay",
"debug.max_softdeps",
"debug.dobkgrdwrite",
"debug.bigcgs",
"debug.dircheck",
"debug.minidump",
"debug.stop_cpus_with_nmi",
"debug.psm.pkterrthresh",
"debug.psm.usecs",
"debug.psm.secs",
"debug.psm.errusecs",
"debug.psm.errsecs",
"debug.psm.hz",
"debug.psm.loglevel",
"debug.fdc.settle",
"debug.fdc.spec2",
"debug.fdc.spec1",
"debug.fdc.retries",
"debug.fdc.debugflags",
"debug.fdc.fifo",
"debug.wpi",
"debug.elf32_legacy_coredump",
"debug.elf32_trace",
"hw.machine",
"hw.model",
"hw.ncpu",
"hw.byteorder",
"hw.physmem",
"hw.usermem",
"hw.pagesize",
"hw.floatingpoint",
"hw.machine_arch",
"hw.realmem",
"hw.ata.wc",
"hw.ata.atapi_dma",
"hw.ata.ata_dma_check_80pin",
"hw.ata.ata_dma",
"hw.bge.allow_asf",
"hw.cardbus.cis_debug",
"hw.cardbus.debug",
"hw.firewire.hold_count",
"hw.firewire.try_bmr",
"hw.firewire.fwmem.speed",
"hw.firewire.fwmem.eui64_lo",
"hw.firewire.fwmem.eui64_hi",
"hw.firewire.phydma_enable",
"hw.firewire.nocyclemaster",
"hw.firewire.fwe.rx_queue_len",
"hw.firewire.fwe.tx_speed",
"hw.firewire.fwe.stream_ch",
"hw.firewire.fwip.rx_queue_len",
"hw.firewire.sbp.tags",
"hw.firewire.sbp.use_doorbell",
"hw.firewire.sbp.scan_delay",
"hw.firewire.sbp.login_delay",
"hw.firewire.sbp.exclusive_login",
"hw.firewire.sbp.max_speed",
"hw.firewire.sbp.auto_login",
"hw.pccard.cis_debug",
"hw.pccard.debug",
"hw.cbb.debug",
"hw.cbb.start_32_io",
"hw.cbb.start_16_io",
"hw.cbb.start_memory",
"hw.pcic.pd6722_vsense",
"hw.pcic.intr_mask",
"hw.pci.honor_msi_blacklist",
"hw.pci.enable_msix",
"hw.pci.enable_msi",
"hw.pci.do_power_resume",
"hw.pci.do_power_nodriver",
"hw.pci.enable_io_modes",
"hw.pci.host_mem_start",
"hw.snd.latency_profile",
"hw.snd.latency",
"hw.snd.report_soft_formats",
"hw.snd.compat_linux_mmap",
"hw.snd.feeder_buffersize",
"hw.snd.feeder_rate_round",
"hw.snd.feeder_rate_max",
"hw.snd.feeder_rate_min",
"hw.snd.verbose",
"hw.snd.maxautovchans",
"hw.snd.default_unit",
"hw.snd.version",
"hw.snd.default_auto",
"hw.midi.instroff",
"hw.midi.dumpraw",
"hw.midi.debug",
"hw.midi.stat.verbose",
"hw.midi.seq.debug",
"hw.syscons.kbd_debug",
"hw.syscons.kbd_reboot",
"hw.syscons.bell",
"hw.syscons.saver.keybonly",
"hw.syscons.sc_no_suspend_vtswitch",
"hw.usb.uplcom.interval",
"hw.usb.uvscom.interval",
"hw.usb.uvscom.opktsize",
"hw.intr_storm_threshold",
"hw.availpages",
"hw.bus.devctl_disable",
"hw.busdma.total_bpages",
"hw.busdma.zone0.total_bpages",
"hw.busdma.zone0.free_bpages",
"hw.busdma.zone0.reserved_bpages",
"hw.busdma.zone0.active_bpages",
"hw.busdma.zone0.total_bounced",
"hw.busdma.zone0.total_deferred",
"hw.busdma.zone0.lowaddr",
"hw.busdma.zone0.alignment",
"hw.busdma.zone0.boundary",
"hw.busdma.zone1.total_bpages",
"hw.busdma.zone1.free_bpages",
"hw.busdma.zone1.reserved_bpages",
"hw.busdma.zone1.active_bpages",
"hw.busdma.zone1.total_bounced",
"hw.busdma.zone1.total_deferred",
"hw.busdma.zone1.lowaddr",
"hw.busdma.zone1.alignment",
"hw.busdma.zone1.boundary",
"hw.busdma.zone2.total_bpages",
"hw.busdma.zone2.free_bpages",
"hw.busdma.zone2.reserved_bpages",
"hw.busdma.zone2.active_bpages",
"hw.busdma.zone2.total_bounced",
"hw.busdma.zone2.total_deferred",
"hw.busdma.zone2.lowaddr",
"hw.busdma.zone2.alignment",
"hw.busdma.zone2.boundary",
"hw.busdma.zone3.total_bpages",
"hw.busdma.zone3.free_bpages",
"hw.busdma.zone3.reserved_bpages",
"hw.busdma.zone3.active_bpages",
"hw.busdma.zone3.total_bounced",
"hw.busdma.zone3.total_deferred",
"hw.busdma.zone3.lowaddr",
"hw.busdma.zone3.alignment",
"hw.busdma.zone3.boundary",
"hw.clockrate",
"hw.instruction_sse",
"hw.apic.enable_extint",
"hw.psm.tap_timeout",
"hw.psm.tap_threshold",
"hw.kbd.keymap_restrict_change",
"hw.acpi.supported_sleep_state",
"hw.acpi.power_button_state",
"hw.acpi.sleep_button_state",
"hw.acpi.lid_switch_state",
"hw.acpi.standby_state",
"hw.acpi.suspend_state",
"hw.acpi.sleep_delay",
"hw.acpi.s4bios",
"hw.acpi.verbose",
"hw.acpi.disable_on_reboot",
"hw.acpi.handle_reboot",
"hw.acpi.acline",
"hw.acpi.battery.life",
"hw.acpi.battery.time",
"hw.acpi.battery.state",
"hw.acpi.battery.units",
"hw.acpi.battery.info_expire",
"hw.acpi.thermal.min_runtime",
"hw.acpi.thermal.polling_rate",
"hw.acpi.thermal.user_override",
"hw.acpi.thermal.tz0.temperature",
"hw.acpi.thermal.tz0.active",
"hw.acpi.thermal.tz0.passive_cooling",
"hw.acpi.thermal.tz0.thermal_flags",
"hw.acpi.thermal.tz0._PSV",
"hw.acpi.thermal.tz0._HOT",
"hw.acpi.thermal.tz0._CRT",
"hw.acpi.thermal.tz0._ACx",
"hw.acpi.thermal.tz0._TC1",
"hw.acpi.thermal.tz0._TC2",
"hw.acpi.thermal.tz0._TSP",
"hw.acpi.cpu.cx_lowest",
"hw.dri.0.name",
"hw.dri.0.vm",
"hw.dri.0.debug",
"machdep.acpi_timer_freq",
"machdep.enable_panic_key",
"machdep.adjkerntz",
"machdep.wall_cmos_clock",
"machdep.disable_rtc_set",
"machdep.acpi_root",
"machdep.disable_mtrrs",
"machdep.cpu_idle_hlt",
"machdep.hlt_cpus",
"machdep.prot_fault_translation",
"machdep.panic_on_nmi",
"machdep.tsc_freq",
"machdep.i8254_freq",
"machdep.conspeed",
"machdep.gdbspeed",
"machdep.conrclk",
"machdep.hlt_logical_cpus",
"machdep.logical_cpus_mask",
"user.cs_path",
"user.bc_base_max",
"user.bc_dim_max",
"user.bc_scale_max",
"user.bc_string_max",
"user.coll_weights_max",
"user.expr_nest_max",
"user.line_max",
"user.re_dup_max",
"user.posix2_version",
"user.posix2_c_bind",
"user.posix2_c_dev",
"user.posix2_char_term",
"user.posix2_fort_dev",
"user.posix2_fort_run",
"user.posix2_localedef",
"user.posix2_sw_dev",
"user.posix2_upe",
"user.stream_max",
"user.tzname_max",
"p1003_1b.asynchronous_io",
"p1003_1b.mapped_files",
"p1003_1b.memlock",
"p1003_1b.memlock_range",
"p1003_1b.memory_protection",
"p1003_1b.message_passing",
"p1003_1b.prioritized_io",
"p1003_1b.priority_scheduling",
"p1003_1b.realtime_signals",
"p1003_1b.semaphores",
"p1003_1b.fsync",
"p1003_1b.shared_memory_objects",
"p1003_1b.synchronized_io",
"p1003_1b.timers",
"p1003_1b.aio_listio_max",
"p1003_1b.aio_max",
"p1003_1b.aio_prio_delta_max",
"p1003_1b.delaytimer_max",
"p1003_1b.mq_open_max",
"p1003_1b.pagesize",
"p1003_1b.rtsig_max",
"p1003_1b.sem_nsems_max",
"p1003_1b.sem_value_max",
"p1003_1b.sigqueue_max",
"p1003_1b.timer_max",
"security.jail.jailed",
"security.jail.jail_max_af_ips",
"security.jail.mount_allowed",
"security.jail.chflags_allowed",
"security.jail.allow_raw_sockets",
"security.jail.enforce_statfs",
"security.jail.sysvipc_allowed",
"security.jail.socket_unixiproute_only",
"security.jail.set_hostname_allowed",
"security.bsd.suser_enabled",
"security.bsd.unprivileged_proc_debug",
"security.bsd.conservative_signals",
"security.bsd.see_other_gids",
"security.bsd.see_other_uids",
"security.bsd.unprivileged_read_msgbuf",
"security.bsd.hardlink_check_gid",
"security.bsd.hardlink_check_uid",
"security.bsd.unprivileged_get_quota",
"compat.ia32.maxvmem",
"compat.ia32.maxssiz",
"compat.ia32.maxdsiz",
"dev.nexus.0.%driver",
"dev.nexus.0.%parent",
"dev.ram.0.%desc",
"dev.ram.0.%driver",
"dev.ram.0.%parent",
"dev.acpi.0.%desc",
"dev.acpi.0.%driver",
"dev.acpi.0.%parent",
"dev.acpi_sysresource.0.%desc",
"dev.acpi_sysresource.0.%driver",
"dev.acpi_sysresource.0.%location",
"dev.acpi_sysresource.0.%pnpinfo",
"dev.acpi_sysresource.0.%parent",
"dev.acpi_sysresource.1.%desc",
"dev.acpi_sysresource.1.%driver",
"dev.acpi_sysresource.1.%location",
"dev.acpi_sysresource.1.%pnpinfo",
"dev.acpi_sysresource.1.%parent",
"dev.acpi_sysresource.2.%desc",
"dev.acpi_sysresource.2.%driver",
"dev.acpi_sysresource.2.%location",
"dev.acpi_sysresource.2.%pnpinfo",
"dev.acpi_sysresource.2.%parent",
"dev.acpi_sysresource.3.%desc",
"dev.acpi_sysresource.3.%driver",
"dev.acpi_sysresource.3.%location",
"dev.acpi_sysresource.3.%pnpinfo",
"dev.acpi_sysresource.3.%parent",
"dev.acpi_sysresource.4.%desc",
"dev.acpi_sysresource.4.%driver",
"dev.acpi_sysresource.4.%location",
"dev.acpi_sysresource.4.%pnpinfo",
"dev.acpi_sysresource.4.%parent",
"dev.acpi_hpet.0.%desc",
"dev.acpi_hpet.0.%driver",
"dev.acpi_hpet.0.%location",
"dev.acpi_hpet.0.%pnpinfo",
"dev.acpi_hpet.0.%parent",
"dev.acpi_timer.0.%desc",
"dev.acpi_timer.0.%driver",
"dev.acpi_timer.0.%location",
"dev.acpi_timer.0.%pnpinfo",
"dev.acpi_timer.0.%parent",
"dev.pci_link.0.%desc",
"dev.pci_link.0.%driver",
"dev.pci_link.0.%location",
"dev.pci_link.0.%pnpinfo",
"dev.pci_link.0.%parent",
"dev.pci_link.1.%desc",
"dev.pci_link.1.%driver",
"dev.pci_link.1.%location",
"dev.pci_link.1.%pnpinfo",
"dev.pci_link.1.%parent",
"dev.pci_link.2.%desc",
"dev.pci_link.2.%driver",
"dev.pci_link.2.%location",
"dev.pci_link.2.%pnpinfo",
"dev.pci_link.2.%parent",
"dev.pci_link.3.%desc",
"dev.pci_link.3.%driver",
"dev.pci_link.3.%location",
"dev.pci_link.3.%pnpinfo",
"dev.pci_link.3.%parent",
"dev.pci_link.4.%desc",
"dev.pci_link.4.%driver",
"dev.pci_link.4.%location",
"dev.pci_link.4.%pnpinfo",
"dev.pci_link.4.%parent",
"dev.pci_link.5.%desc",
"dev.pci_link.5.%driver",
"dev.pci_link.5.%location",
"dev.pci_link.5.%pnpinfo",
"dev.pci_link.5.%parent",
"dev.pci_link.6.%desc",
"dev.pci_link.6.%driver",
"dev.pci_link.6.%location",
"dev.pci_link.6.%pnpinfo",
"dev.pci_link.6.%parent",
"dev.pci_link.7.%desc",
"dev.pci_link.7.%driver",
"dev.pci_link.7.%location",
"dev.pci_link.7.%pnpinfo",
"dev.pci_link.7.%parent",
"dev.pcib.0.%desc",
"dev.pcib.0.%driver",
"dev.pcib.0.%location",
"dev.pcib.0.%pnpinfo",
"dev.pcib.0.%parent",
"dev.pcib.0.wake",
"dev.pcib.1.%desc",
"dev.pcib.1.%driver",
"dev.pcib.1.%location",
"dev.pcib.1.%pnpinfo",
"dev.pcib.1.%parent",
"dev.pcib.1.wake",
"dev.pcib.2.%desc",
"dev.pcib.2.%driver",
"dev.pcib.2.%location",
"dev.pcib.2.%pnpinfo",
"dev.pcib.2.%parent",
"dev.pcib.2.wake",
"dev.pcib.3.%desc",
"dev.pcib.3.%driver",
"dev.pcib.3.%location",
"dev.pcib.3.%pnpinfo",
"dev.pcib.3.%parent",
"dev.pcib.3.wake",
"dev.pcib.4.%desc",
"dev.pcib.4.%driver",
"dev.pcib.4.%location",
"dev.pcib.4.%pnpinfo",
"dev.pcib.4.%parent",
"dev.pcib.4.wake",
"dev.pci.0.%desc",
"dev.pci.0.%driver",
"dev.pci.0.%parent",
"dev.pci.0.wake",
"dev.pci.11.%desc",
"dev.pci.11.%driver",
"dev.pci.11.%parent",
"dev.pci.11.wake",
"dev.pci.12.%desc",
"dev.pci.12.%driver",
"dev.pci.12.%parent",
"dev.pci.12.wake",
"dev.pci.9.%desc",
"dev.pci.9.%driver",
"dev.pci.9.%parent",
"dev.pci.9.wake",
"dev.pci.3.%desc",
"dev.pci.3.%driver",
"dev.pci.3.%parent",
"dev.pci.3.wake",
"dev.hostb.0.%desc",
"dev.hostb.0.%driver",
"dev.hostb.0.%location",
"dev.hostb.0.%pnpinfo",
"dev.hostb.0.%parent",
"dev.vgapci.0.%desc",
"dev.vgapci.0.%driver",
"dev.vgapci.0.%location",
"dev.vgapci.0.%pnpinfo",
"dev.vgapci.0.%parent",
"dev.vgapci.1.%desc",
"dev.vgapci.1.%driver",
"dev.vgapci.1.%location",
"dev.vgapci.1.%pnpinfo",
"dev.vgapci.1.%parent",
"dev.agp.0.%desc",
"dev.agp.0.%driver",
"dev.agp.0.%parent",
"dev.uhci.0.%desc",
"dev.uhci.0.%driver",
"dev.uhci.0.%location",
"dev.uhci.0.%pnpinfo",
"dev.uhci.0.%parent",
"dev.uhci.0.wake",
"dev.uhci.1.%desc",
"dev.uhci.1.%driver",
"dev.uhci.1.%location",
"dev.uhci.1.%pnpinfo",
"dev.uhci.1.%parent",
"dev.uhci.1.wake",
"dev.uhci.2.%desc",
"dev.uhci.2.%driver",
"dev.uhci.2.%location",
"dev.uhci.2.%pnpinfo",
"dev.uhci.2.%parent",
"dev.uhci.2.wake",
"dev.uhci.3.%desc",
"dev.uhci.3.%driver",
"dev.uhci.3.%location",
"dev.uhci.3.%pnpinfo",
"dev.uhci.3.%parent",
"dev.uhci.3.wake",
"dev.uhci.4.%desc",
"dev.uhci.4.%driver",
"dev.uhci.4.%location",
"dev.uhci.4.%pnpinfo",
"dev.uhci.4.%parent",
"dev.uhci.4.wake",
"dev.usb.0.%desc",
"dev.usb.0.%driver",
"dev.usb.0.%parent",
"dev.usb.1.%desc",
"dev.usb.1.%driver",
"dev.usb.1.%parent",
"dev.usb.2.%desc",
"dev.usb.2.%driver",
"dev.usb.2.%parent",
"dev.usb.3.%desc",
"dev.usb.3.%driver",
"dev.usb.3.%parent",
"dev.usb.4.%desc",
"dev.usb.4.%driver",
"dev.usb.4.%parent",
"dev.usb.5.%desc",
"dev.usb.5.%driver",
"dev.usb.5.%parent",
"dev.usb.6.%desc",
"dev.usb.6.%driver",
"dev.usb.6.%parent",
"dev.uhub.0.%desc",
"dev.uhub.0.%driver",
"dev.uhub.0.%parent",
"dev.uhub.1.%desc",
"dev.uhub.1.%driver",
"dev.uhub.1.%parent",
"dev.uhub.2.%desc",
"dev.uhub.2.%driver",
"dev.uhub.2.%parent",
"dev.uhub.3.%desc",
"dev.uhub.3.%driver",
"dev.uhub.3.%parent",
"dev.uhub.4.%desc",
"dev.uhub.4.%driver",
"dev.uhub.4.%parent",
"dev.uhub.5.%desc",
"dev.uhub.5.%driver",
"dev.uhub.5.%parent",
"dev.uhub.6.%desc",
"dev.uhub.6.%driver",
"dev.uhub.6.%parent",
"dev.uhub.7.%desc",
"dev.uhub.7.%driver",
"dev.uhub.7.%location",
"dev.uhub.7.%pnpinfo",
"dev.uhub.7.%parent",
"dev.ehci.0.%desc",
"dev.ehci.0.%driver",
"dev.ehci.0.%location",
"dev.ehci.0.%pnpinfo",
"dev.ehci.0.%parent",
"dev.ehci.0.wake",
"dev.ehci.1.%desc",
"dev.ehci.1.%driver",
"dev.ehci.1.%location",
"dev.ehci.1.%pnpinfo",
"dev.ehci.1.%parent",
"dev.ehci.1.wake",
"dev.hdac.0.%desc",
"dev.hdac.0.%driver",
"dev.hdac.0.%location",
"dev.hdac.0.%pnpinfo",
"dev.hdac.0.%parent",
"dev.hdac.0.wake",
"dev.hdac.0.polling",
"dev.hdac.0.polling_interval",
"dev.hdac.0.pindump",
"dev.wpi.0.%desc",
"dev.wpi.0.%driver",
"dev.wpi.0.%location",
"dev.wpi.0.%pnpinfo",
"dev.wpi.0.%parent",
"dev.bge.0.%desc",
"dev.bge.0.%driver",
"dev.bge.0.%location",
"dev.bge.0.%pnpinfo",
"dev.bge.0.%parent",
"dev.miibus.0.%desc",
"dev.miibus.0.%driver",
"dev.miibus.0.%parent",
"dev.brgphy.0.%desc",
"dev.brgphy.0.%driver",
"dev.brgphy.0.%location",
"dev.brgphy.0.%pnpinfo",
"dev.brgphy.0.%parent",
"dev.cbb.0.%desc",
"dev.cbb.0.%driver",
"dev.cbb.0.%location",
"dev.cbb.0.%pnpinfo",
"dev.cbb.0.%parent",
"dev.cbb.0.domain",
"dev.cbb.0.pribus",
"dev.cbb.0.secbus",
"dev.cbb.0.subbus",
"dev.cardbus.%parent",
"dev.cardbus.0.%desc",
"dev.cardbus.0.%driver",
"dev.cardbus.0.%parent",
"dev.pccard.0.%desc",
"dev.pccard.0.%driver",
"dev.pccard.0.%parent",
"dev.fwohci.0.%desc",
"dev.fwohci.0.%driver",
"dev.fwohci.0.%location",
"dev.fwohci.0.%pnpinfo",
"dev.fwohci.0.%parent",
"dev.firewire.0.%desc",
"dev.firewire.0.%driver",
"dev.firewire.0.%parent",
"dev.dcons_crom.0.%desc",
"dev.dcons_crom.0.%driver",
"dev.dcons_crom.0.%parent",
"dev.fwe.0.%desc",
"dev.fwe.0.%driver",
"dev.fwe.0.%parent",
"dev.fwip.0.%desc",
"dev.fwip.0.%driver",
"dev.fwip.0.%parent",
"dev.sbp.0.%desc",
"dev.sbp.0.%driver",
"dev.sbp.0.%parent",
"dev.isab.0.%desc",
"dev.isab.0.%driver",
"dev.isab.0.%location",
"dev.isab.0.%pnpinfo",
"dev.isab.0.%parent",
"dev.isa.0.%desc",
"dev.isa.0.%driver",
"dev.isa.0.%parent",
"dev.atapci.0.%desc",
"dev.atapci.0.%driver",
"dev.atapci.0.%location",
"dev.atapci.0.%pnpinfo",
"dev.atapci.0.%parent",
"dev.atapci.1.%desc",
"dev.atapci.1.%driver",
"dev.atapci.1.%location",
"dev.atapci.1.%pnpinfo",
"dev.atapci.1.%parent",
"dev.ata.0.%desc",
"dev.ata.0.%driver",
"dev.ata.0.%parent",
"dev.ata.2.%desc",
"dev.ata.2.%driver",
"dev.ata.2.%parent",
"dev.ata.3.%desc",
"dev.ata.3.%driver",
"dev.ata.3.%parent",
"dev.ata.4.%desc",
"dev.ata.4.%driver",
"dev.ata.4.%parent",
"dev.acpi_lid.0.%desc",
"dev.acpi_lid.0.%driver",
"dev.acpi_lid.0.%location",
"dev.acpi_lid.0.%pnpinfo",
"dev.acpi_lid.0.%parent",
"dev.acpi_lid.0.wake",
"dev.acpi_button.0.%desc",
"dev.acpi_button.0.%driver",
"dev.acpi_button.0.%location",
"dev.acpi_button.0.%pnpinfo",
"dev.acpi_button.0.%parent",
"dev.acpi_button.0.wake",
"dev.acpi_button.1.%desc",
"dev.acpi_button.1.%driver",
"dev.acpi_button.1.%location",
"dev.acpi_button.1.%pnpinfo",
"dev.acpi_button.1.%parent",
"dev.acpi_acad.0.%desc",
"dev.acpi_acad.0.%driver",
"dev.acpi_acad.0.%location",
"dev.acpi_acad.0.%pnpinfo",
"dev.acpi_acad.0.%parent",
"dev.battery.0.%desc",
"dev.battery.0.%driver",
"dev.battery.0.%location",
"dev.battery.0.%pnpinfo",
"dev.battery.0.%parent",
"dev.battery.1.%desc",
"dev.battery.1.%driver",
"dev.battery.1.%location",
"dev.battery.1.%pnpinfo",
"dev.battery.1.%parent",
"dev.acpi_tz.0.%desc",
"dev.acpi_tz.0.%driver",
"dev.acpi_tz.0.%location",
"dev.acpi_tz.0.%pnpinfo",
"dev.acpi_tz.0.%parent",
"dev.psmcpnp.0.%desc",
"dev.psmcpnp.0.%driver",
"dev.psmcpnp.0.%location",
"dev.psmcpnp.0.%pnpinfo",
"dev.psmcpnp.0.%parent",
"dev.atkbdc.0.%desc",
"dev.atkbdc.0.%driver",
"dev.atkbdc.0.%location",
"dev.atkbdc.0.%pnpinfo",
"dev.atkbdc.0.%parent",
"dev.atkbd.0.%desc",
"dev.atkbd.0.%driver",
"dev.atkbd.0.%parent",
"dev.psm.0.%desc",
"dev.psm.0.%driver",
"dev.psm.0.%parent",
"dev.attimer.0.%desc",
"dev.attimer.0.%driver",
"dev.attimer.0.%location",
"dev.attimer.0.%pnpinfo",
"dev.attimer.0.%parent",
"dev.attimer.1.%desc",
"dev.attimer.1.%driver",
"dev.attimer.1.%location",
"dev.attimer.1.%pnpinfo",
"dev.attimer.1.%parent",
"dev.atdma.0.%desc",
"dev.atdma.0.%driver",
"dev.atdma.0.%location",
"dev.atdma.0.%pnpinfo",
"dev.atdma.0.%parent",
"dev.fpupnp.0.%desc",
"dev.fpupnp.0.%driver",
"dev.fpupnp.0.%location",
"dev.fpupnp.0.%pnpinfo",
"dev.fpupnp.0.%parent",
"dev.sio.0.%desc",
"dev.sio.0.%driver",
"dev.sio.0.%location",
"dev.sio.0.%pnpinfo",
"dev.sio.0.%parent",
"dev.cpu.0.%desc",
"dev.cpu.0.%driver",
"dev.cpu.0.%location",
"dev.cpu.0.%pnpinfo",
"dev.cpu.0.%parent",
"dev.cpu.0.freq",
"dev.cpu.0.freq_levels",
"dev.cpu.0.cx_supported",
"dev.cpu.0.cx_lowest",
"dev.cpu.0.cx_usage",
"dev.cpu.1.%desc",
"dev.cpu.1.%driver",
"dev.cpu.1.%location",
"dev.cpu.1.%pnpinfo",
"dev.cpu.1.%parent",
"dev.cpu.1.cx_supported",
"dev.cpu.1.cx_lowest",
"dev.cpu.1.cx_usage",
"dev.acpi_perf.0.%driver",
"dev.acpi_perf.0.%parent",
"dev.acpi_perf.1.%driver",
"dev.acpi_perf.1.%parent",
"dev.est.0.%desc",
"dev.est.0.%driver",
"dev.est.0.%parent",
"dev.est.0.freq_settings",
"dev.est.1.%desc",
"dev.est.1.%driver",
"dev.est.1.%parent",
"dev.est.1.freq_settings",
"dev.cpufreq.0.%driver",
"dev.cpufreq.0.%parent",
"dev.cpufreq.1.%driver",
"dev.cpufreq.1.%parent",
"dev.p4tcc.0.%desc",
"dev.p4tcc.0.%driver",
"dev.p4tcc.0.%parent",
"dev.p4tcc.0.freq_settings",
"dev.p4tcc.1.%desc",
"dev.p4tcc.1.%driver",
"dev.p4tcc.1.%parent",
"dev.p4tcc.1.freq_settings",
"dev.apic.0.%desc",
"dev.apic.0.%driver",
"dev.apic.0.%parent",
"dev.orm.0.%desc",
"dev.orm.0.%driver",
"dev.orm.0.%parent",
"dev.sc.0.%desc",
"dev.sc.0.%driver",
"dev.sc.0.%parent",
"dev.vga.0.%desc",
"dev.vga.0.%driver",
"dev.vga.0.%parent",
"dev.ukbd.0.%desc",
"dev.ukbd.0.%driver",
"dev.ukbd.0.%location",
"dev.ukbd.0.%pnpinfo",
"dev.ukbd.0.%parent",
"dev.ums.0.%desc",
"dev.ums.0.%driver",
"dev.ums.0.%location",
"dev.ums.0.%pnpinfo",
"dev.ums.0.%parent",
"dev.ugen.0.%desc",
"dev.ugen.0.%driver",
"dev.ugen.0.%location",
"dev.ugen.0.%pnpinfo",
"dev.ugen.0.%parent",
"dev.acd.0.%desc",
"dev.acd.0.%driver",
"dev.acd.0.%parent",
"dev.atapicam.0.%desc",
"dev.atapicam.0.%driver",
"dev.atapicam.0.%parent",
"dev.atapicam.1.%desc",
"dev.atapicam.1.%driver",
"dev.atapicam.1.%parent",
"dev.atapicam.2.%desc",
"dev.atapicam.2.%driver",
"dev.atapicam.2.%parent",
"dev.atapicam.3.%desc",
"dev.atapicam.3.%driver",
"dev.atapicam.3.%parent",
"dev.ad.4.%desc",
"dev.ad.4.%driver",
"dev.ad.4.%parent",
"dev.subdisk.4.%driver",
"dev.subdisk.4.%parent",
"dev.pcm.0.%desc",
"dev.pcm.0.%driver",
"dev.pcm.0.%parent",
"dev.pcm.0.play.vchans",
"dev.pcm.0.play.vchanrate",
"dev.pcm.0.play.vchanformat",
"dev.pcm.0.rec.vchans",
"dev.pcm.0.rec.vchanrate",
"dev.pcm.0.rec.vchanformat",
"dev.pcm.0.buffersize",
"dev.drm.0.%desc",
"dev.drm.0.%driver",
"dev.drm.0.%parent",
"kstat.zfs.misc.arcstats.hits",
"kstat.zfs.misc.arcstats.misses",
"kstat.zfs.misc.arcstats.demand_data_hits",
"kstat.zfs.misc.arcstats.demand_data_misses",
"kstat.zfs.misc.arcstats.demand_metadata_hits",
"kstat.zfs.misc.arcstats.demand_metadata_misses",
"kstat.zfs.misc.arcstats.prefetch_data_hits",
"kstat.zfs.misc.arcstats.prefetch_data_misses",
"kstat.zfs.misc.arcstats.prefetch_metadata_hits",
"kstat.zfs.misc.arcstats.prefetch_metadata_misses",
"kstat.zfs.misc.arcstats.mru_hits",
"kstat.zfs.misc.arcstats.mru_ghost_hits",
"kstat.zfs.misc.arcstats.mfu_hits",
"kstat.zfs.misc.arcstats.mfu_ghost_hits",
"kstat.zfs.misc.arcstats.deleted",
"kstat.zfs.misc.arcstats.recycle_miss",
"kstat.zfs.misc.arcstats.mutex_miss",
"kstat.zfs.misc.arcstats.evict_skip",
"kstat.zfs.misc.arcstats.hash_elements",
"kstat.zfs.misc.arcstats.hash_elements_max",
"kstat.zfs.misc.arcstats.hash_collisions",
"kstat.zfs.misc.arcstats.hash_chains",
"kstat.zfs.misc.arcstats.hash_chain_max",
"kstat.zfs.misc.arcstats.p",
"kstat.zfs.misc.arcstats.c",
"kstat.zfs.misc.arcstats.c_min",
"kstat.zfs.misc.arcstats.c_max",
"kstat.zfs.misc.arcstats.size" }

for k,v in ipairs(T) do
    print(v)
    s,t = sysctl.get(v)
    if type(s) == 'table' then
        show_table(s)
    else
        print(s .. "\t" .. t)
    end
    print("------")
end
